You are not logged in.

#1 2013-10-22 02:24:08

Anamhoo
Member
Registered: 2013-10-22
Posts: 9

Problems with libpango-1.0.so.0 and libcogl-pango.so.12

Hi!! after update I had problems with some prgramas, especially GRASS gives me the following error: wxGUI requires wxPython. /usr/lib/libpango-1.0.so.0: undefined symbol: g_type_class_adjust_private_offset
And totem:
error while loading shared libraries: libcogl-pango.so.12: cannot open shared object file: No such file or directory
I have tried changing the link leagues, reinstalling and nothing. someone could suggest something
thank you very much
Anamhoo

Offline

#2 2013-10-22 02:26:42

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,338

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

GRASS is in the AUR. Any AUR packages will need rebuilt when there's an soname bump of a shared lib that they link to. This is your responsibility.

For totem, are you completely up to date? What version of totem?

Last edited by Scimmia (2013-10-22 02:27:54)

Offline

#3 2013-10-22 02:27:58

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

Are you talking about https://aur.archlinux.org/packages/grass/ or some other package?
Is your system up to date? Have you tried recompiling the programs you've installed from the AUR?

Offline

#4 2013-10-22 02:29:17

Anamhoo
Member
Registered: 2013-10-22
Posts: 9

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

I also tried uninstalling and reinstalling grass64  from aur but nothing sad

Offline

#5 2013-10-22 02:30:45

Anamhoo
Member
Registered: 2013-10-22
Posts: 9

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

Offline

#6 2013-10-22 02:30:56

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

You haven't answered the question about recompiling.

Offline

#7 2013-10-22 02:33:44

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,338

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

pacman -Qm

Anything output by that command could be the problem as well.

Offline

#8 2013-10-22 02:35:58

Anamhoo
Member
Registered: 2013-10-22
Posts: 9

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

Well, first i uninstalling grass64 and download again from  https://aur.archlinux.org/packages/grass64/ then I compiling again end I have not errors and install with pacman -U but at the start it gives me the error:
wxGUI requires wxPython. /usr/lib/libpango-1.0.so.0: undefined symbol: g_type_class_adjust_private_offset

Offline

#9 2013-10-22 02:41:58

Anamhoo
Member
Registered: 2013-10-22
Posts: 9

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

Scimmia wrote:

pacman -Qm

Anything output by that command could be the problem as well.

ok, there are a lot of packages and I'm not sure could be the problem:
b43-firmware 5.100.138-2
cower 9-1
grass64 6.4.3-1
grub-bios 2.00-1
grub-common 2.00-1
heirloom-mailx 12.5-3
idjc 0.8.9-3
jabref 2.9.2-1
ldm 0.4.1-1
libaacplus 2.0.2-7
libfdk-aac 0.1.2-1
libinfinity-git 20130330-1
libshout-idjc 2.3.1-1
pacaur 4.1.5-1
poppler-qt 0.22.3-3
sweethome3d 4.1-2
vo-aacenc 0.1.3-1
vo-amrwbenc 0.1.3-1
webcamstudio 0.56-1
webkitgtk3 2.0.2-1

Offline

#10 2013-10-22 02:43:13

Anamhoo
Member
Registered: 2013-10-22
Posts: 9

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

karol wrote:

You haven't answered the question about recompiling.

Well, first i uninstalling grass64 and download again from  https://aur.archlinux.org/packages/grass64/ then I compiling again end I have not errors and install with pacman -U but at the start it gives me the error:
wxGUI requires wxPython. /usr/lib/libpango-1.0.so.0: undefined symbol: g_type_class_adjust_private_offset

Offline

#11 2013-10-22 02:44:44

Anamhoo
Member
Registered: 2013-10-22
Posts: 9

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

karol wrote:

Are you talking about https://aur.archlinux.org/packages/grass/ or some other package?
Is your system up to date? Have you tried recompiling the programs you've installed from the AUR?

I used https://aur.archlinux.org/packages/grass64/.
Well, first i uninstalling grass64 and download againgrass64/ then I compiling again end I have not errors and install with pacman -U but at the start it gives me the error:
wxGUI requires wxPython. /usr/lib/libpango-1.0.so.0: undefined symbol: g_type_class_adjust_private_offset

Offline

#12 2013-10-22 02:44:53

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,338

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

And what is the first question we asked?

Is your system completely up to date?

Partial updates are not supported. poppler-qt, grub-bios, and grub-common do not exist anymore and should not be on your system.

Run pacman -Syu

Last edited by Scimmia (2013-10-22 02:45:32)

Offline

#13 2013-10-22 02:49:39

Anamhoo
Member
Registered: 2013-10-22
Posts: 9

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

Scimmia wrote:

GRASS is in the AUR. Any AUR packages will need rebuilt when there's an soname bump of a shared lib that they link to. This is your responsibility.

Oh thanks wink

For totem, are you completely up to date? What version of totem?

totem 3.10.1-1

Offline

#14 2013-10-22 13:18:51

David Batson
Member
Registered: 2011-10-13
Posts: 640

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

Not in Arch atm to check, but I know some distributions have pangox or pangox-compat that includes old libraries of pango.

Offline

#15 2013-10-22 13:26:50

Anamhoo
Member
Registered: 2013-10-22
Posts: 9

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

David Batson wrote:

Not in Arch atm to check, but I know some distributions have pangox or pangox-compat that includes old libraries of pango.

Thanks, temporally I re install de previous version of pango from my archlinux cahe and GRASS and IDJC work again...probaly is not the better solution hmm

Offline

#16 2013-10-22 16:59:46

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,338

Re: Problems with libpango-1.0.so.0 and libcogl-pango.so.12

No, the solution is simple.

UPDATE YOUR SYSTEM THEN REBUILD AUR PACKAGES

If you want to keep doing partial updates, you need to find a new distro. Arch will never work well doing this.

Last edited by Scimmia (2013-10-22 17:25:23)

Offline

Board footer

Powered by FluxBB